{-# OPTIONS --universe-polymorphism #-}

module Coinduction where

open import Level

-- you can think of:
--  ♯ as delay  (\sharp)
--  ♭ as force  (\flat)

---------------------------------------------

infix 1000 ♯_

postulate
  ∞  : {n : Level} → (A : Set n) → Set n
  ♯_ : {n : Level} → {A : Set n} → A → ∞ A
  ♭  : {n : Level} → {A : Set n} → ∞ A → A

{-# BUILTIN INFINITY ∞  #-}
{-# BUILTIN SHARP    ♯_ #-}
{-# BUILTIN FLAT     ♭  #-}

---------------------------------------------
