{-# OPTIONS --type-in-type  #-}

open import NeilPrelude

module CommGroup {A : Set}

       (_⊕_ : Op A)
       (assoc : Associative _⊕_)
       (⊕comm : Commutative _⊕_)

       (unit : A) 
       (unit⊕ : UnitL unit _⊕_)

       (inverse : A → A)
       (⊕inverse : InverseR inverse unit _⊕_)

  where

inverse⊕ : InverseL inverse unit _⊕_
inverse⊕ = trans ⊕comm ⊕inverse

import CommMonoid
open module CMoid = CommMonoid _⊕_ assoc ⊕comm unit unit⊕

import Group
open module G⊕ = Group  _⊕_ assoc unit unit⊕ ⊕unit inverse ⊕inverse inverse⊕ public


