{-# OPTIONS --type-in-type #-}

open import NeilPrelude
open import Properties

module CommMonoid {A : Set}

       (_⊕_   : Op A)
       (assoc : Associative _⊕_)
       (comm  : Commutative _⊕_)
       (unit  : A)
       (unit⊕ : UnitL unit _⊕_)
  where

⊕unit' : UnitR unit _⊕_
⊕unit' = trans comm unit⊕

import Monoid
open Monoid _⊕_ assoc unit unit⊕ ⊕unit' public

import CommSemiGroup
open CommSemiGroup _⊕_ assoc comm public
