open import NeilPrelude
open import Data.Nat

module Data.Char where

postulate Char : Set

{-# BUILTIN CHAR Char #-}
{-# COMPILED_TYPE Char Char #-}

private
 primitive
  primCharToNat    : Char → ℕ
  primCharEquality : Char → Char → Bool

charToNat : Char → ℕ
charToNat = primCharToNat

charEqual : Char → Char → Bool
charEqual = primCharEquality
