{-# OPTIONS --type-in-type  #-}

open import NeilPrelude

-- ERROR! Division not properly defined
-- Zero should be an annihilator!
-- but it may follow from the other axioms

module Field {A : Set}

       (_⊕_    : Op A)
       (⊕assoc : Associative _⊕_)
       (⊕comm  : Commutative _⊕_)

       (zero  : A)
       (unit⊕ : UnitL zero _⊕_)
       
       (minus : A → A)
       (⊕inverse : InverseR minus zero _⊕_)

       (_⊗_    : Op A)
       (⊗assoc : Associative _⊗_)
       (⊗comm  : Commutative _⊗_)

       (one   : A)
       (unit⊗ : UnitL one _⊗_)

       (divide   : A → A)
       (⊗inverse : InverseR divide one _⊗_)

       (distrL : DistributiveL _⊗_ _⊕_)

  where

inverse⊗ : InverseL divide one _⊗_
inverse⊗ =  trans ⊗comm ⊗inverse

import CommRing
open CommRing _⊕_ ⊕assoc ⊕comm zero unit⊕ minus ⊕inverse _⊗_ ⊗assoc ⊗comm one unit⊗ distrL public

import DivisionRing
open DivisionRing _⊕_ ⊕assoc ⊕comm zero unit⊕ minus ⊕inverse _⊗_ ⊗assoc one unit⊗ ⊗unit divide ⊗inverse inverse⊗ distrL distrR
