{-# OPTIONS --type-in-type #-}

open import NeilPrelude

module PointedPartialOrder

                    {A : Set}
                    (_≤_ : Rel A)
                    (⊥ : A)

                    (reflex  : Reflexive _≤_)
                    (antisym : Antisymmetric _≤_)
                    (transit : Transitive _≤_)
                    (bottom  : Initial ⊥ _≤_)

where

import PartialOrder
open PartialOrder _≤_ reflex antisym transit public

